import { type Static } from '@sinclair/typebox';
import type { ValidationError } from './validatedFetch.js';
import type { FetchError } from './FetchError.js';
export declare const CreatedFOTAJobType: import("@sinclair/typebox").TObject<{
    jobId: import("@sinclair/typebox").TString;
}>;
export declare const createFOTAJob: ({ apiKey, endpoint, }: {
    apiKey: string;
    endpoint: URL;
}, fetchImplementation?: typeof fetch) => ({ deviceId, bundleId, }: {
    deviceId: string;
    bundleId: string;
}) => Promise<{
    error: FetchError | ValidationError;
} | {
    result: Static<typeof CreatedFOTAJobType>;
}>;
